#pragma once
#include "handmade.h"
#include "math.h"

#define PI32 3.141592653589f

inline int32 roundReal32ToUInt32(real32 realNum) {
    return (uint32)(realNum + 0.5f);
}

inline int32 roundReal32ToInt32(real32 realNum) {
    return (int32)(realNum + 0.5f);
}

inline int32 floorReal32ToInt32(real32 realNum) {
    return (int32)floorf(realNum);
}

inline int32 truncateReal32ToInt32(real32 realNum) {
    return (int32)realNum;
}

inline real32 sin(real32 angle) {
    return sinf(angle);
}

inline real32 cos(real32 angle) {
    return cosf(angle);
}

inline real32 atan2(real32 y, real32 x) {
    return atan2f(y, x);
}
